Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 675494 - mail-filter/spamassassin uses discontinued dev-perl/Geo-IP
Summary: mail-filter/spamassassin uses discontinued dev-perl/Geo-IP
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Philippe Chaintreuil
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-15 14:31 UTC by Philippe Chaintreuil
Modified: 2019-04-11 16:35 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Chaintreuil 2019-01-15 14:31:38 UTC
Geo::IP (aka dev-perl/Geo-IP) stopped receiving updates as of April 2018.  We should move to GeoIP2::Reader::Database which supports the newer GeoIP2 databases.  SpamAssassin supports it.

I'm not clear if there's a pre-existing ebuild for GeoIP2::Reader::Database.


See Also: https://wiki.apache.org/spamassassin/RelayCountryPlugin
Comment 1 Philippe Chaintreuil 2019-01-15 14:37:48 UTC
See also: Gentoo bug #674852 mentions that dev-perl/GeoIP updates no longer work and everything should move to GeoIP2 capable libraries.